Subject: [netlmm] RO establishment time in draft-abeille-netlmm-proxymip6ro-00.

From: "Jong-Hyouk Lee" <[email-masked]>
Date: Tue, 4 Sep 2007 19:57:56 +0900

Dear colleague.

In draft-abeille-netlmm-proxymip6ro-00, the route optimization (RO)
procedure is defined and some scenarios are well described. However,
there are ambiguous things, the actual RO establishment time and the actions
in LMA after sending RO Report Ack.

Well, for simplicity, take Fig. 2 in the document. When the packets of MN1
are sent directly via the RO path between MAG1 and MAG2? After receiving RO
Setup Ack at MAG1? Also, after receiving RO Report at LMA1, it sends RO
Report Ack. After that, what is the next actions at LMA?

Please, make clear.

Cheers.

-- 
Internet Management Technology Lab, Sungkyunkwan University.
Jong-Hyouk Lee.

#email: jonghyouk (at) gmail (dot) com
#webpage: http://www.hurryon.org
_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Marco Liebsch <[email-masked]>
Date: Thu, 06 Sep 2007 11:10:51 +0200

Hi Jong-Hyouk,

thanks for your comments. Please see below for my reply.

Jong-Hyouk Lee wrote:
> Setup Ack at MAG1?
MAG1 does not receive RO Setup Ack, but the RO Setup message. MAG2 initiates
the RO Setup procedure after the RO Init has been received. At that time,
MAG2 can have all the information to establish as well as to activate
RO states and start forwarding traffic. However, we think it might be
beneficial to wait for feedback about a result from MAG1 before activating
states. After MAG1 receives the RO Setup message, it creates and activates
RO states. This results in forwarding packets from MN1-->MN2 through the
route optimized path. After MAG2 received the RO Setup Ack, it activates
the states in case the result for RO setup in MAG1 was successful.

Optionally, we described the Early State Activation (ESA) policy
in Appendix B, which allows MAG2 (referring to Figure 2) activating
RO states already after RO Init has been received, without waiting
for MAG1's feedback. In case the ESA policy is applied, MAG2 forwards
packets towards MAG1 through the route optimized path immediately.
A further issue with this is that MAG1 must support terminating the
tunnel from MAG2 and forward the packet to MN1 without having a
state yet (as there might be a race condition between the RO Setup
message and the first data packet being tunneled from MAG2-->Mag1).
Hence, this mechanism is possible, but implies some drawbacks.
That's why it's only optional.

>  Also, after receiving RO Report at LMA1, it sends RO
The LMA knows about the result of route optimization setup between
MAG1 and MAG2. As in this case the one and only LMA1 is the RO controller,
it waits until states need to be updated, such as in case of a handover
of one or even both MNs.

Hope this clarified you questions a bit.

Best regards,
marco

> Please, make clear.
>
> Cheers.
>
>   
> ------------------------------------------------------------------------
>